استخدم CometAPI GET /v1/videos/ لاسترجاع حالة فيديو Sora 2، والتقدم، والبيانات الوصفية مثل المدة والأبعاد والطوابع الزمنية ووقت الانتهاء.
curl --request GET \
--url https://api.cometapi.com/v1/videos/{video_id} \
--header 'Authorization: Bearer <token>'{
"id": "video_69b25d5f467c81908733a56bc236b4df",
"size": "1280x720",
"error": null,
"model": "sora-2",
"object": "video",
"prompt": "A paper airplane glides across a desk.",
"status": "in_progress",
"seconds": "4",
"progress": 0,
"created_at": 1773296991,
"expires_at": null,
"completed_at": null,
"remixed_from_video_id": null
}status لمعرفة حالة دورة الحياةprogress للحصول على إشارة تقريبية عن التقدمerror عندما يرفض المزوّد المهمة أو تفشلexpires_at بعد الاكتمال إذا كنت بحاجة إلى معرفة وقت انتهاء صلاحية الأصول المؤقتةأنشئ الفيديو أو أعد مزجه أولاً
نفّذ Poll باستخدام المعرّف
id المُعاد هنا واستمر في التحقق حتى تصل المهمة إلى completed أو failed.نزّل الملف
completed، انتقل إلى Retrieve Video Content.Bearer token authentication. Use your CometAPI key.
Video id returned by the create or remix endpoint.
Current job state.
curl --request GET \
--url https://api.cometapi.com/v1/videos/{video_id} \
--header 'Authorization: Bearer <token>'{
"id": "video_69b25d5f467c81908733a56bc236b4df",
"size": "1280x720",
"error": null,
"model": "sora-2",
"object": "video",
"prompt": "A paper airplane glides across a desk.",
"status": "in_progress",
"seconds": "4",
"progress": 0,
"created_at": 1773296991,
"expires_at": null,
"completed_at": null,
"remixed_from_video_id": null
}